## org.plovr.util
Class HttpExchangeUtil

    java.lang.Object
      org.plovr.util.HttpExchangeUtil

    public final class HttpExchangeUtil

extends java.lang.Object

There is a bug in Google Chrome that affects plovr in serve mode: http://code.google.com/p/chromium/issues/detail?id=105824 which was discussed at length on the Google Group: https://groups.google.com/forum/?fromgroups#!topic/plovr/yWiGfVG-hq4 This class contains utility methods to do user agent detection to avoid the bug.

Method Summary
`static boolean` `isGoogleChrome(com.sun.net.httpserver.HttpExchange exchange)`
`static boolean` `isGoogleChrome17OrEarlier(com.sun.net.httpserver.HttpExchange exchange)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isGoogleChrome17OrEarlier

    public static boolean isGoogleChrome17OrEarlier(com.sun.net.httpserver.HttpExchange exchange)

### isGoogleChrome

    public static boolean isGoogleChrome(com.sun.net.httpserver.HttpExchange exchange)